## org.omg.CORBA
Class OperationModeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OperationModeHelper

public class OperationModeHelper
extends java.lang.Object

Helper class for : OperationMode

Author:
  OpenORB Compiler

Constructor Summary
`OperationModeHelper()`

Method Summary
`static OperationMode` `extract(Any a)` Extract OperationMode from an any
`static java.lang.String` `id()` Return the OperationMode IDL ID
`static void` `insert(Any a, OperationMode t)` Insert OperationMode into an any
`static OperationMode` `read(InputStream istream)` Read OperationMode from a marshalled stream
`static TypeCode` `type()` Return the OperationMode TypeCode
`static void` `write(OutputStream ostream, OperationMode value)` Write OperationMode into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationModeHelper

    public OperationModeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OperationMode t)

  Insert OperationMode into an any
  Parameters:
    `a` - an any
    `t` - OperationMode value

### extract

    public static OperationMode extract(Any a)

  Extract OperationMode from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OperationMode value

### type

    public static TypeCode type()

  Return the OperationMode TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OperationMode IDL ID
  Returns:
    an ID

### read

    public static OperationMode read(InputStream istream)

  Read OperationMode from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OperationMode value

### write

    public static void write(OutputStream ostream,
                             OperationMode value)

  Write OperationMode into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OperationMode value